Module | Merb::Plugins
In: | lib/merb-core/plugins.rb

### Methods

add_generators add_rakefiles config generators rakefiles

### Public Class methods

add_generators(*generators)

#### Parameters

*generators: | Generator paths to add to the list of plugin generators.

#### Notes

This is the recommended way to register your plugin‘s generators in Merb.

:api: plugin

add_rakefiles(*rakefiles)

#### Parameters

*rakefiles: | Rakefiles to add to the list of plugin Rakefiles.

#### Notes

This is a recommended way to register your plugin‘s Raketasks in Merb.

#### Examples

From merb_sequel plugin:

if defined(Merb::Plugins)

      Merb::Plugins.add_rakefiles "merb_sequel" / "merbtasks"

end

:api: plugin

config()

Returns the configuration settings hash for plugins. This is prepopulated from Merb.root / "config/plugins.yml" if it is present.

#### Returns

Hash: | The configuration loaded from Merb.root / "config/plugins.yml" or, if the load fails, an empty hash whose default value is another Hash.

:api: plugin

generators()

#### Returns

Array(String): | All Generator load paths Merb uses for plugins.

:api: plugin

rakefiles()

#### Returns

Array(String): | All Rakefile load paths Merb uses for plugins.

:api: plugin

[Validate]